Đến nội dung


Hình ảnh
- - - - -

lisp quay goc nghieng


  • Please log in to reply
7 replies to this topic

#1 violettim

violettim

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 January 2010 - 09:48 AM

cho mình hỏi có lisp nào mà quay góc nghieng 30do, 45 do, 60do cho nhanh khong nhi. vì mình hay phải vẽ dạng hình chieu truc do nen neu dung lệnh ro roi 30,60,90 rat lau, giò muốn dùng lệnh luôn như là r1,r2,r3 để quay luôn đối tượng?
  • 0

#2 huong259

huong259

    biết lệnh refedit

  • Members
  • PipPipPipPipPipPipPip
  • 596 Bài viết
Điểm đánh giá: 350 (khá)

Đã gửi 05 January 2010 - 10:28 AM

cho mình hỏi có lisp nào mà quay góc nghieng 30do, 45 do, 60do cho nhanh khong nhi. vì mình hay phải vẽ dạng hình chieu truc do nen neu dung lệnh ro roi 30,60,90 rat lau, giò muốn dùng lệnh luôn như là r1,r2,r3 để quay luôn đối tượng?

1. UC DDUCS Đưa ra hộp thoại quản lý hệ toạ độ người dùng đ• được xác định trong không gian hiện hành
2. UCP DDUCSP Đưa ra hộp thoại có thể chọn 1 hệ toạ độ người dùng được xác lập trước
3. UN UNITS Chọn các dạng thức toạ độ chính xác của toạ độ và góc
4. UNI UNION Tạo ra vùng tổng hợp hoặc cố thể tổng hợp
Có cách tạo kiểu UCS, anh thử mầy mò xem nhé:
Command: ucs
Current ucs name: *TOP*
Specify origin of UCS or [Face/NAmed/OBject/Previous/View/World/X/Y/Z/ZAxis]
<World>: z
Specify rotation angle about Z axis <90>: 30
Command:
UCS
Current ucs name: *NO NAME*
Specify origin of UCS or [Face/NAmed/OBject/Previous/View/World/X/Y/Z/ZAxis]
<World>:
  • 0

#3 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 05 January 2010 - 11:39 AM

cho mình hỏi có lisp nào mà quay góc nghieng 30do, 45 do, 60do cho nhanh khong nhi. vì mình hay phải vẽ dạng hình chieu truc do nen neu dung lệnh ro roi 30,60,90 rat lau, giò muốn dùng lệnh luôn như là r1,r2,r3 để quay luôn đối tượng?

Sao bạn không để chế độ vẽ hình chiếu trục đo Isometric snap
  • 0

#4 MANHHUNGXDA

MANHHUNGXDA

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 926 Bài viết
Điểm đánh giá: 458 (tốt)

Đã gửi 05 January 2010 - 04:25 PM

cho mình hỏi có lisp nào mà quay góc nghieng 30do, 45 do, 60do cho nhanh khong nhi. vì mình hay phải vẽ dạng hình chieu truc do nen neu dung lệnh ro roi 30,60,90 rat lau, giò muốn dùng lệnh luôn như là r1,r2,r3 để quay luôn đối tượng?

Tham khảo coi, *chưa kịp gõ tiếng việt mà nó cứ đòi gõ*
(defun c:R90  ()(command "ROTATE" pause "" "@" "90")(princ))
(defun c:R30 ()(command "rotate" pause "" "@" "30")(princ))
(defun c:r45 ()(command "rotate" pause "" "@" "45")(princ))
(defun c:r15 ()(command "rotate" pause "" "@" "15")(princ))
(defun c:r60 ()(command "rotate" pause "" "@" "60")(princ))
(defun c:r-90 ()(command "rotate" pause "" "@" "-90")(princ))
(defun c:r180 ()(command "rotate" pause "" "@" "180")(princ))
(defun c:r-180 ()(command "rotate" pause "" "@" "-180")(princ))
(defun c:r-60 ()(command "rotate" pause "" "@" "-60")(princ))
(defun c:r-45 ()(command "rotate" pause "" "@" "-45")(princ))
(defun c:r-15 ()(command "rotate" pause "" "@" "-15")(princ))
(defun c:r-30 ()(command "rotate" pause "" "@" "-30")(princ))
http://www.cadviet.c...pfiles/2/ro.lsp
  • 0
Hãy ước cho trọn 1 ước mơ!

#5 thonghoang1

thonghoang1

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 05 January 2010 - 05:30 PM

cái này theo mình không cần lisp làm gì cho mệt,mất công mấy anh trong diên đàn viết,theo mình thi bạn cứ chọn các đối tượng(block, text.....) ctril+1,trong hộp thoại này bạn xuông thanh (misc),chọn rotation roi cho vào đấy giá trị mà bạn muốn quay la được,đâu cần phải lisp cho mất công,theo mình là vậy,
  • 0

#6 MANHHUNGXDA

MANHHUNGXDA

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 926 Bài viết
Điểm đánh giá: 458 (tốt)

Đã gửi 05 January 2010 - 10:48 PM

cái này theo mình không cần lisp làm gì cho mệt,mất công mấy anh trong diên đàn viết,theo mình thi bạn cứ chọn các đối tượng(block, text.....) ctril+1,trong hộp thoại này bạn xuông thanh (misc),chọn rotation roi cho vào đấy giá trị mà bạn muốn quay la được,đâu cần phải lisp cho mất công,theo mình là vậy,

uh thì cũng đuợc, nhung nếu bạn có 1 bộ lisp riêng của mình thì bạn sẽ thấy cái hay dù nhỏ..........khi sửa lệnh theo ý muốn của mình, và bạn sở hữu nó...
  • 0
Hãy ước cho trọn 1 ước mơ!

#7 hoanghaiyp

hoanghaiyp

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 430 Bài viết
Điểm đánh giá: 244 (khá)

Đã gửi 05 January 2010 - 11:33 PM

cho mình hỏi có lisp nào mà quay góc nghieng 30do, 45 do, 60do cho nhanh khong nhi. vì mình hay phải vẽ dạng hình chieu truc do nen neu dung lệnh ro roi 30,60,90 rat lau, giò muốn dùng lệnh luôn như là r1,r2,r3 để quay luôn đối tượng?

1- đặt UCS với góc nghiêng 30 độ
Muốn ghi kiểu USD :
Gõ UCS.... hiện dòng nhắc... gõ S .... gõ tên UCS là R1
2- đặt UCS với góc nghiêng 60 độ
Muốn ghi kiểu USD :
Gõ UCS.... hiện dòng nhắc... gõ S .... gõ tên UCS là R2
3- Muốn vẽ trên mặt R1 hoặc R2
Bạn gõ UCS... gõ R .... gõ tên R1 hoặc R2...
  • 0

#8 zutum

zutum

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 August 2016 - 03:08 PM

vậy còn xoay trên 3d thì sao bạn có thể viết lisp xoay khối 3d được không.

 

ví dụ ta muốn xoay góc 45 độ \ gán lệnh ( ROTATE3D ) thành r3d45 mà chỉ cần bấm lệnh đó rồi chị chon trục để nó tự xoay 1 góc 45 đọ đc k.


  • 0